﻿nav .main-menu li.has-child li {
  min-width: 200px;
}
nav .main-menu li.has-child li.has-child > a .caret, nav .main-menu li.has-child li.has-child > a i {
  display: none;
}
nav .main-menu li.has-child li.has-child > a:after {
  content: "\f104";
  color: #fff;
  font-family: "FontAwesome";
  position: absolute;
  left: 20px;
}
nav .main-menu li.has-child li:hover {
  background-color: #fff;
}
nav .main-menu li.has-child li:hover > a {
  color: #191e28 !important;
}
nav .main-menu li.has-child li:hover > a:after {
  color: #191e28 !important;
}
nav .main-menu > li {
  position: relative;
  display: inline-block;
  -moz-perspective: 200px;
  -ms-perspective: 200px;
  -webkit-perspective: 200px;
  perspective: 200px;
}
nav .main-menu > li.has-child:hover > ul {
  visibility: visible;
  -moz-transform: rotateX(0);
  -ms-transform: rotateX(0);
  -o-transform: rotateX(0);
  -webkit-transform: rotateX(0);
  transform: rotateX(0);
  opacity: 1;
  /*-moz-filter: alpha(1);
  -ms-filter: alpha(1);
  -webkit-filter: alpha(1);
  filter: alpha(1);*/
}
nav .main-menu > li > a {
  padding: 2px 7px;
}
nav .main-menu > li > ul {
  -moz-transform-origin: top;
  -ms-transform-origin: top;
  -o-transform-origin: top;
  -webkit-transform-origin: top;
  transform-origin: top;
  visibility: hidden;
  -moz-transform: rotateX(-90deg) rotateY(0);
  -ms-transform: rotateX(-90deg) rotateY(0);
  -o-transform: rotateX(-90deg) rotateY(0);
  -webkit-transform: rotateX(-90deg) rotateY(0);
  transform: rotateX(-90deg) rotateY(0);
  opacity: 0;
  top: 100%;
  right: 0;
  /* -moz-filter: alpha(0);
  -ms-filter: alpha(0);
  -webkit-filter: alpha(0);
  filter: alpha(0);*/
}
nav .main-menu li {
  position: relative;
  -moz-perspective: 200px;
  -ms-perspective: 200px;
  -webkit-perspective: 200px;
  perspective: 200px;
}
nav .main-menu li:hover {
  text-decoration: none;
}
nav .main-menu li a {
  text-decoration: none;
  display: inline-block;
  padding: 4px 20px;
  white-space: nowrap;
}
nav .main-menu ul {
  text-align: right;
  visibility: hidden;
  -moz-transition: all 400ms;
  -o-transition: all 400ms;
  -webkit-transition: all 400ms;
  transition: all 400ms;
  -moz-transform: rotateY(-90deg);
  -ms-transform: rotateY(-90deg);
  -o-transform: rotateY(-90deg);
  -webkit-transform: rotateY(-90deg);
  transform: rotateY(-90deg);
  -moz-transform-origin: right;
  -ms-transform-origin: right;
  -o-transform-origin: right;
  -webkit-transform-origin: right;
  transform-origin: right;
  background: #fff;
  z-index: 100000;
  margin: 0;
  padding: 0;
  position: absolute;
  right: 100%;
  top: 0;
  /* -moz-filter: alpha(0);
  -ms-filter: alpha(1);
  -webkit-filter: alpha(1);
  filter: alpha(1);*/
  opacity: 0;
}
nav .main-menu ul ul {
  border-radius: 0;
}
nav .main-menu ul li.has-child:hover > ul {
  visibility: visible;
  -moz-transform: rotateY(0);
  -ms-transform: rotateY(0);
  -o-transform: rotateY(0);
  -webkit-transform: rotateY(0);
  transform: rotateY(0);
  opacity: 1;
  /*-moz-filter: alpha(1);
  -ms-filter: alpha(1);
  -webkit-filter: alpha(1);
  filter: alpha(1);*/
}
nav .main-menu ul li a span.caret {
  -moz-transform: rotateZ(90deg);
  -ms-transform: rotateZ(90deg);
  -o-transform: rotateZ(90deg);
  -webkit-transform: rotateZ(90deg);
  transform: rotateZ(90deg);
}

.animationUp {
  -moz-transform: translateY(0) !important;
  -ms-transform: translateY(0) !important;
  -o-transform: translateY(0) !important;
  -webkit-transform: translateY(0) !important;
  transform: translateY(0) !important;
  opacity: 1 !important;
}
